* Encoding: windows-1252.
GET DATA
  /TYPE=TXT
  /FILE="D:\Sonstiges\Dropbox\Misc\02_HP\publications\data\035_Pfister_et_al_2014_Cognition\Data\Pfister_et_al_2014_Cognition_Exp1_and_2_Preprocessed.dat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  Subject F1.0
  Group F1.0
  Block F1.0
  Trial F3.0
  BlockTrial F2.0
  FreeForced F1.0
  Compatibility F2.0
  TarDir F2.0
  DT F4.0
  RT F4.0
  RTx F3.0
  RTy F3.0
  MT F4.0
  MTx F3.0
  MTy F3.0
  RespDir F2.0
  ErrorType F1.0
  OK F1.0
  FreeForced_N1 F3.0
  Comp_N1 F3.0
  TarDir_N1 F3.0
  ErrorType_N1 F3.0
  OK_N1 F3.0
  ZDT F3.0
  ZRT F3.0
  ZMT F3.0
  MAD F6.4
  AUC F7.2
  Curv1 F6.4
  Curv2 F8.6
  TTPVeloc F3.0
  Z_Filter F1.0.
CACHE.
EXECUTE.
DATASET NAME Portal_1_Rec WINDOW=FRONT.


USE ALL.
COMPUTE megafilter=((Block > 1) & (Group > 0)).
FORMAT megafilter (f1.0).
FILTER BY megafilter.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Group Subject OK DISPLAY=LABEL
  /TABLE Group > Subject [C][COUNT F40.0] BY OK
  /CATEGORIES VARIABLES=Group Subject OK ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Group Subject Compatibility OK DISPLAY=LABEL
  /TABLE Group [C] > Subject [C][COUNT F40.0] BY Compatibility [C] > OK [C]
  /CATEGORIES VARIABLES=Group Subject Compatibility OK ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Group Subject Compatibility ErrorType DISPLAY=LABEL
  /TABLE Group [C] > Subject [C][COUNT F40.0] BY Compatibility [C] > ErrorType
  /CATEGORIES VARIABLES=Group Subject Compatibility ErrorType ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Group Subject ErrorType DISPLAY=LABEL
  /TABLE Group [C] > Subject [C][COUNT F40.0] BY ErrorType [C]
  /CATEGORIES VARIABLES=Group Subject ErrorType ORDER=A KEY=VALUE EMPTY=EXCLUDE.




USE ALL.
COMPUTE megafilter=((Block > 1) & (OK = 1) &
  (Curv1 > -99) & (OK_N1 = 1) & (Group > 0)).
FORMATS megafilter (f1.0).
FILTER BY megafilter.
EXECUTE.

DELETE VARIABLES ZDT ZRT ZMT.
DELETE VARIABLES ZMAD ZAUC ZCurv1 ZCurv2 ZTTPVeloc.
SORT CASES  BY Subject Compatibility.
SPLIT FILE LAYERED BY Subject Compatibility.

DESCRIPTIVES VARIABLES=
  DT RT MT MAD AUC Curv1 Curv2 TTPVeloc
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.

SORT CASES BY Subject Trial.
SPLIT FILE OFF.

USE ALL.
COMPUTE zfilter=((megafilter = 1) &
  (ABS(ZRT) < 2.5) & (ABS(ZMT) < 2.5) &
  (ABS(ZMAD) < 2.5) & (ABS(ZAUC) < 2.5)).
FORMATS zfilter (f1.0).
VARIABLE LEVEL megafilter zfilter (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Group megafilter zfilter DISPLAY=LABEL
  /TABLE Group [COUNT F40.0] BY megafilter > zfilter
  /CATEGORIES VARIABLES=Group megafilter zfilter ORDER=A KEY=VALUE EMPTY=EXCLUDE.

FILTER BY zfilter.
EXECUTE.

SORT CASES  BY Subject.
SPLIT FILE LAYERED BY Subject.



DATASET DECLARE Portal_Aggr_Correlations. 
OMS 
  /SELECT TABLES
  /IF COMMANDS=['Correlations'] SUBTYPES=['Correlations']
 /DESTINATION FORMAT=SAV
  OUTFILE = Portal_Aggr_Correlations. 

CORRELATIONS
  /VARIABLES=DT RT MT MAD AUC Curv1 TTPVeloc
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

OMSEND.

SPLIT FILE OFF.

* Get new data file.
DATASET ACTIVATE Portal_Aggr_Correlations.

DELETE VARIABLES Command_ TO Label_.
RENAME VARIABLES (Var1 = sbj).
COMPUTE Subject = NUMBER(sbj,F4).
EXECUTE.
FORMATS Subject (F4.0).
DELETE VARIABLES sbj.

RENAME VARIABLES (Var2 = Measure).

STRING Statistic (A8).
RECODE Var3 ('Pearson Correlation'='r') ('N'='n')
  ('Sig. (2-tailed)'='p') ('Signifikanz (2-seitig)'='p')
  ('Korrelation nach Pearson'='r') INTO Statistic.
EXECUTE.
DELETE VARIABLES Var3.

SORT CASES BY Subject.
CASESTOVARS
  /ID=Subject
  /INDEX=Measure Statistic
  /GROUPBY=VARIABLE.


COMPUTE DT.DT.Z = 0.5 * LN((1+DT.DT.r) / (1-DT.DT.r)).
COMPUTE DT.RT.Z = 0.5 * LN((1+DT.RT.r) / (1-DT.RT.r)).
COMPUTE DT.MT.Z = 0.5 * LN((1+DT.MT.r) / (1-DT.MT.r)).
COMPUTE DT.MAD.Z = 0.5 * LN((1+DT.MAD.r) / (1-DT.MAD.r)).
COMPUTE DT.AUC.Z = 0.5 * LN((1+DT.AUC.r) / (1-DT.AUC.r)).
COMPUTE DT.Curv1.Z = 0.5 * LN((1+DT.Curv1.r) / (1-DT.Curv1.r)).
COMPUTE DT.TTPVeloc.Z = 0.5 * LN((1+DT.TTPVeloc.r) / (1-DT.TTPVeloc.r)).
COMPUTE RT.DT.Z = 0.5 * LN((1+RT.DT.r) / (1-RT.DT.r)).
COMPUTE RT.RT.Z = 0.5 * LN((1+RT.RT.r) / (1-RT.RT.r)).
COMPUTE RT.MT.Z = 0.5 * LN((1+RT.MT.r) / (1-RT.MT.r)).
COMPUTE RT.MAD.Z = 0.5 * LN((1+RT.MAD.r) / (1-RT.MAD.r)).
COMPUTE RT.AUC.Z = 0.5 * LN((1+RT.AUC.r) / (1-RT.AUC.r)).
COMPUTE RT.Curv1.Z = 0.5 * LN((1+RT.Curv1.r) / (1-RT.Curv1.r)).
COMPUTE RT.TTPVeloc.Z = 0.5 * LN((1+RT.TTPVeloc.r) / (1-RT.TTPVeloc.r)).
COMPUTE MT.DT.Z = 0.5 * LN((1+MT.DT.r) / (1-MT.DT.r)).
COMPUTE MT.RT.Z = 0.5 * LN((1+MT.RT.r) / (1-MT.RT.r)).
COMPUTE MT.MT.Z = 0.5 * LN((1+MT.MT.r) / (1-MT.MT.r)).
COMPUTE MT.MAD.Z = 0.5 * LN((1+MT.MAD.r) / (1-MT.MAD.r)).
COMPUTE MT.AUC.Z = 0.5 * LN((1+MT.AUC.r) / (1-MT.AUC.r)).
COMPUTE MT.Curv1.Z = 0.5 * LN((1+MT.Curv1.r) / (1-MT.Curv1.r)).
COMPUTE MT.TTPVeloc.Z = 0.5 * LN((1+MT.TTPVeloc.r) / (1-MT.TTPVeloc.r)).
COMPUTE MAD.DT.Z = 0.5 * LN((1+MAD.DT.r) / (1-MAD.DT.r)).
COMPUTE MAD.RT.Z = 0.5 * LN((1+MAD.RT.r) / (1-MAD.RT.r)).
COMPUTE MAD.MT.Z = 0.5 * LN((1+MAD.MT.r) / (1-MAD.MT.r)).
COMPUTE MAD.MAD.Z = 0.5 * LN((1+MAD.MAD.r) / (1-MAD.MAD.r)).
COMPUTE MAD.AUC.Z = 0.5 * LN((1+MAD.AUC.r) / (1-MAD.AUC.r)).
COMPUTE MAD.Curv1.Z = 0.5 * LN((1+MAD.Curv1.r) / (1-MAD.Curv1.r)).
COMPUTE MAD.TTPVeloc.Z = 0.5 * LN((1+MAD.TTPVeloc.r) / (1-MAD.TTPVeloc.r)).
COMPUTE AUC.DT.Z = 0.5 * LN((1+AUC.DT.r) / (1-AUC.DT.r)).
COMPUTE AUC.RT.Z = 0.5 * LN((1+AUC.RT.r) / (1-AUC.RT.r)).
COMPUTE AUC.MT.Z = 0.5 * LN((1+AUC.MT.r) / (1-AUC.MT.r)).
COMPUTE AUC.MAD.Z = 0.5 * LN((1+AUC.MAD.r) / (1-AUC.MAD.r)).
COMPUTE AUC.AUC.Z = 0.5 * LN((1+AUC.AUC.r) / (1-AUC.AUC.r)).
COMPUTE AUC.Curv1.Z = 0.5 * LN((1+AUC.Curv1.r) / (1-AUC.Curv1.r)).
COMPUTE AUC.TTPVeloc.Z = 0.5 * LN((1+AUC.TTPVeloc.r) / (1-AUC.TTPVeloc.r)).
COMPUTE Curv1.DT.Z = 0.5 * LN((1+Curv1.DT.r) / (1-Curv1.DT.r)).
COMPUTE Curv1.RT.Z = 0.5 * LN((1+Curv1.RT.r) / (1-Curv1.RT.r)).
COMPUTE Curv1.MT.Z = 0.5 * LN((1+Curv1.MT.r) / (1-Curv1.MT.r)).
COMPUTE Curv1.MAD.Z = 0.5 * LN((1+Curv1.MAD.r) / (1-Curv1.MAD.r)).
COMPUTE Curv1.AUC.Z = 0.5 * LN((1+Curv1.AUC.r) / (1-Curv1.AUC.r)).
COMPUTE Curv1.Curv1.Z = 0.5 * LN((1+Curv1.Curv1.r) / (1-Curv1.Curv1.r)).
COMPUTE Curv1.TTPVeloc.Z = 0.5 * LN((1+Curv1.TTPVeloc.r) / (1-Curv1.TTPVeloc.r)).
COMPUTE TTPVeloc.DT.Z = 0.5 * LN((1+TTPVeloc.DT.r) / (1-TTPVeloc.DT.r)).
COMPUTE TTPVeloc.RT.Z = 0.5 * LN((1+TTPVeloc.RT.r) / (1-TTPVeloc.RT.r)).
COMPUTE TTPVeloc.MT.Z = 0.5 * LN((1+TTPVeloc.MT.r) / (1-TTPVeloc.MT.r)).
COMPUTE TTPVeloc.MAD.Z = 0.5 * LN((1+TTPVeloc.MAD.r) / (1-TTPVeloc.MAD.r)).
COMPUTE TTPVeloc.AUC.Z = 0.5 * LN((1+TTPVeloc.AUC.r) / (1-TTPVeloc.AUC.r)).
COMPUTE TTPVeloc.Curv1.Z = 0.5 * LN((1+TTPVeloc.Curv1.r) / (1-TTPVeloc.Curv1.r)).
COMPUTE TTPVeloc.TTPVeloc.Z = 0.5 * LN((1+TTPVeloc.TTPVeloc.r) / (1-TTPVeloc.TTPVeloc.r)).
EXECUTE.





DATASET ACTIVATE Portal_1_Rec.


DATASET DECLARE Portal_1_Aggr.
AGGREGATE
  /OUTFILE='Portal_1_Aggr'
  /BREAK=Subject Group Compatibility
  /DT=MEAN(DT) 
  /RT=MEAN(RT) 
  /MT=MEAN(MT)
  /MAD=MEAN(MAD)
  /AUC=MEAN(AUC)
  /Curv1=MEAN(Curv1)
  /Curv2=MEAN(Curv2)
  /TTPVeloc=MEAN(TTPVeloc)
  /RTx=MEAN(RTx)
  /RTy=MEAN(RTy)
  /MTx=MEAN(MTx)
  /MTy=MEAN(MTy)
  /NTrials=N.


DATASET ACTIVATE Portal_1_Aggr.

RECODE Compatibility (-1=0).
EXECUTE.

SORT CASES BY Subject Group Compatibility.
CASESTOVARS
  /ID=Subject
  /INDEX=Compatibility
  /GROUPBY=VARIABLE.

COMPUTE DTDiff = DT.0 - DT.1.
COMPUTE RTDiff = RT.0 - RT.1.
COMPUTE MTDiff = MT.0 - MT.1.
COMPUTE MADDiff = MAD.0 - MAD.1.
COMPUTE AUCDiff = AUC.0 - AUC.1.
COMPUTE CurvDiff = Curv1.0 - Curv1.1.
COMPUTE TTPDiff = TTPVeloc.0 - TTPVeloc.1.
EXECUTE.

USE ALL.
COMPUTE sfilter=((Subject < 41)).
FORMATS sfilter (f1.0).
FILTER BY sfilter.
EXECUTE.

SORT CASES BY Group Subject.
SPLIT FILE BY Group.

T-TEST PAIRS=DT.0 RT.0 MT.0 
  MAD.0 AUC.0 Curv1.0 Curv2.0
  TTPVeloc.0 RTx.0 RTy.0 MTx.0 MTy.0 
  NTrials.0 WITH
  DT.1 RT.1 MT.1 
  MAD.1 AUC.1 Curv1.1 Curv2.1
  TTPVeloc.1 RTx.1 RTy.1 MTx.1 MTy.1
  NTrials.1 
    (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

CORRELATIONS
  /VARIABLES=DTDiff RTDiff MTDiff MADDiff AUCDiff CurvDiff TTPDiff
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

SPLIT FILE OFF.











