function auc = comp_auc(px,py,a,b)

% Get distances from line and matching line coordinates.
[ad direction linecoords] = comp_ad(px,py,a,b);

cum_auc = ones(1,numel(ad));
cum_auc(1,1) = 0;
for i = 2:numel(ad)
    % Only increase cum_auc if coordinates change.
    if linecoords.x(i)==linecoords.x(i-1) && ...
       linecoords.y(i)==linecoords.y(i-1)
       cum_auc(1,i) = cum_auc(1,i-1);
    else
        % Compute distance on line.
        ldist = ((linecoords.x(i)-linecoords.x(i-1))^2 + ...
                (linecoords.y(i)-linecoords.y(i-1))^2)^0.5;
        % Check for line flips
        if direction(i) == direction(i-1)
            % If no flip is detected: Increment cum_auc (1) by 
            % rectangle (2) and triangle (3).
            cum_auc(1,i) = cum_auc(1,i-1) + direction(i)  * ( ... % (1)
                ldist * min(ad(i),ad(i-1))                  + ... % (2)
                0.5 * sign(ad(i)-ad(i-1)) * (ad(i)-ad(i-1)) * ... % (3)
                ldist );           
        else
            % Differenzflche des verschrnkten Trapezes ausrechnen
            % (Formel geklaut aus Wiki).
            cum_auc(1,i) = cum_auc(1,i-1) + direction(i)  * ( ... % (1)
                ldist * (ad(i)-ad(i-1)) / 2 );
        end;
    
    end;
    
   
end;

auc = cum_auc;

end

